/*  Creator: make/0

    Purpose: Provide index for autoload
*/

index(ensure_x_server(?,?), 'Xserver', 'Xserver').
index(side_pattern(?,?,?), area, area).
index(dialog, dia_main, edit_dialog).
index(declare_emacs_mode(?,?), emacs_extend, emacs_extend).
index(declare_emacs_mode(?,?,?), emacs_extend, emacs_extend).
index(emacs_tag(?,?,?,?), emacs_tags, emacs_tags).
index(emacs_tag_file(?), emacs_tags, emacs_tags).
index(emacs_init_tags(?), emacs_tags, emacs_tags).
index(emacs_update_tags, emacs_tags, emacs_tags).
index(emacs_complete_tag(+,?,1), emacs_tags, emacs_tags).
index(ep_main, epilog, epilog).
index(epilog(:), epilog, epilog).
index(epilog, epilog, epilog).
index(win_window_color(?,?), epilog, epilog).
index(window_title(?), epilog, epilog).
index(getpass(?), getpass, getpass).
index(guitracer, gui_tracer, gui_tracer).
index(noguitracer, gui_tracer, gui_tracer).
index(gtrace, gui_tracer, gui_tracer).
index(gtrace(0), gui_tracer, gui_tracer).
index(gspy(:), gui_tracer, gui_tracer).
index(gdebug, gui_tracer, gui_tracer).
index(gtrap(?), gui_tracer, gui_tracer).
index(iso_check_file(?), isocomp, isocomp).
index(iso_check_directory(?), isocomp, isocomp).
index(iso_check_application(?), isocomp, isocomp).
index(show_key_bindings(?), key_binding, keybinding).
index(make_dialog(-,:), pce_make_dialog, make_dialog).
index(new(?,?), pce, pce).
index(free(?), pce, pce).
index(send(?,?), pce, pce).
index(send(?,?,?), pce, pce).
index(send(?,?,?,?), pce, pce).
index(send(?,?,?,?,?), pce, pce).
index(send(?,?,?,?,?,?), pce, pce).
index(send(?,?,?,?,?,?,?), pce, pce).
index(send(?,?,?,?,?,?,?,?), pce, pce).
index(get(?,?,?), pce, pce).
index(get(?,?,?,?), pce, pce).
index(get(?,?,?,?,?), pce, pce).
index(get(?,?,?,?,?,?), pce, pce).
index(get(?,?,?,?,?,?,?), pce, pce).
index(get(?,?,?,?,?,?,?,?), pce, pce).
index(send_class(?,?,?), pce, pce).
index(get_class(?,?,?,?), pce, pce).
index(object(?), pce, pce).
index(object(?,?), pce, pce).
index(pce_global(?,?), pce, pce).
index(pce_autoload(?,?), pce, pce).
index(pce_autoload_all, pce, pce).
index(pce_term_expansion(?,?), pce, pce).
index(pce_compiling(?), pce, pce).
index(pce_compiling(?,?), pce, pce).
index(pce_begin_recording(?), pce, pce).
index(pce_end_recording, pce, pce).
index(pce_register_class(?), pce, pce).
index(pce_extended_class(?), pce, pce).
index(pce_begin_class_definition(?,?,?,?), pce, pce).
index(pce_prolog_class(?), pce, pce).
index(pce_prolog_class(?,?), pce, pce).
index(pce_catch_error(?,?), pce, pce).
index(pce_open(?,?,?), pce, pce).
index(in_pce_thread(?), pce, pce).
index(in_pce_thread_sync(0), pce, pce).
index(set_pce_thread(?), pce, pce).
index(pce_thread(?), pce, pce).
index(pce_dispatch, pce, pce).
index(pce_open_terminal_image(?,?,?,?), pce, pce).
index(:(op,op(200,fy,@)), pce, pce).
index(:(op,op(250,yfx,?)), pce, pce).
index(:(op,op(800,xfx,:=)), pce, pce).
index(pce_make_library_index(?), pce_class_index, pce_class_index).
index(pce_update_library_index, pce_class_index, pce_class_index).
index(register_config(2), pce_config, pce_config).
index(register_config_type(:,+), pce_config, pce_config).
index(get_config(:,-), pce_config, pce_config).
index(set_config(:,+), pce_config, pce_config).
index(add_config(:,+), pce_config, pce_config).
index(del_config(:,+), pce_config, pce_config).
index(edit_config(:), pce_config, pce_config).
index(save_config(:), pce_config, pce_config).
index(load_config(:), pce_config, pce_config).
index(ensure_loaded_config(:), pce_config, pce_config).
index(config_term_to_object(?,?), pce_config, pce_config).
index(config_term_to_object(?,?,?), pce_config, pce_config).
index(config_attributes(:,-), pce_config, pce_config).
index(current_config_type(:,-,-), pce_config, pce_config).
index(generate_cpp_class_header_file, pce_cpp_header, pce_cxx_headers).
index(debugpce, pce_debug, pce_debug).
index(debugpce(?), pce_debug, pce_debug).
index(nodebugpce, pce_debug, pce_debug).
index(nodebugpce(?), pce_debug, pce_debug).
index(tracepce(?), pce_debug, pce_debug).
index(notracepce(?), pce_debug, pce_debug).
index(spypce(?), pce_debug, pce_debug).
index(nospypce(?), pce_debug, pce_debug).
index(checkpce, pce_debug, pce_debug).
index(show_slots(?), pce_debug, pce_debug).
index(pcerefer(?), pce_debug, pce_debug).
index(pcerefer(?,?), pce_debug, pce_debug).
index(pce_global_objects(?), pce_debug, pce_debug).
index(pce_dispatch(?), pce_dispatch, pce_dispatch).
index(pce_end_dispatch, pce_dispatch, pce_dispatch).
index(pce_call(0), pce_dispatch, pce_dispatch).
index(editpce(?), pce_edit, pce_edit).
index(emacs, start_emacs, pce_emacs).
index(emacs(?), start_emacs, pce_emacs).
index(start_emacs, start_emacs, pce_emacs).
index(emacs_server, start_emacs, pce_emacs).
index(emacs_toplevel, start_emacs, pce_emacs).
index(grapher(?), pce_grapher, pce_grapher).
index(grapher(?,?), pce_grapher, pce_grapher).
index(pce_help_file(?,?), pce_help_file, pce_help_file).
index(pce_help(?,?), pce_help_file, pce_help_file).
index(pce_image_directory(?), pce_image, pce_image).
index(pce_loop(:,+), pce_main, pce_main).
index(pce_loop(:), pce_main, pce_main).
index(pce_main_loop(:), pce_main, pce_main).
index(dispatch_for_frames(?), pce_main, pce_main).
index(manpce, pce_manual, pce_manual).
index(manpce(?), pce_manual, pce_manual).
index(pce_to_method(?,?), pce_meta, pce_meta).
index(isa_class(?,?), pce_meta, pce_meta).
index(current_class(?,?), pce_meta, pce_meta).
index(to_class_name(?,?), pce_meta, pce_meta).
index(pce_library_class(?,?,?,?), pce_meta, pce_meta).
index(implements(?,?), pce_meta, pce_meta).
index(implements(?,?,?), pce_meta, pce_meta).
index(pce_to_pl_type(?,?), pce_meta, pce_meta).
index(type_accepts_function(?), pce_meta, pce_meta).
index(classify_class(?,?), pce_meta, pce_meta).
index(confirm_open_frames(?), pce_openframes, pce_openframes).
index(postscript(?,?), pce_postscript, pce_postscript).
index(progress_checklist(:,+,+), pce_progress, pce_progress).
index(prompter(?,?), pce_prompter, pce_prompter).
index(regex_emacs_to_advanced(?,?), regex_compat, pce_regex_compat).
index(regex_convert_file(?), regex_compat, pce_regex_compat).
index(regex_main, regex_compat, pce_regex_compat).
index(pce_renew(?), pce_renew, pce_renew).
index(pce_require(?), pce_require, pce_require).
index(pce_require(?,?,?), pce_require, pce_require).
index(pce_server(:), pce_server, pce_server).
index(pce_shell_command(?), pce_shell, pce_shell).
index(use_class_template(?), pce_class_template, pce_template).
index(use_class_template(?,?), pce_class_template, pce_template).
index(pce_define_type(?,?), pce_type, pce_type).
index(get_object(+,:,-), pce_util, pce_util).
index(get_object(+,:,+,-), pce_util, pce_util).
index(get_object(+,:,+,+,-), pce_util, pce_util).
index(get_object(+,:,+,+,+,-), pce_util, pce_util).
index(get_object(+,:,+,+,+,+,-), pce_util, pce_util).
index(get_object(+,:,+,+,+,+,+,-), pce_util, pce_util).
index(send_list(:,+), pce_util, pce_util).
index(send_list(:,+,+), pce_util, pce_util).
index(get_chain(+,:,-), pce_util, pce_util).
index(chain_list(?,?), pce_util, pce_util).
index(default(?,?,?), pce_util, pce_util).
index(gxref, pce_xref_gui, pce_xref).
index(xref_file_imports(?,?), pce_xref_gui, pce_xref).
index(xref_file_exports(?,?), pce_xref_gui, pce_xref).
index(pcedraw, pce_draw, pcedraw).
index(pcedraw(?), pce_draw, pcedraw).
index(save_pcedraw(?), pce_draw, pcedraw).
index(portray_object(?), pce_portray_object, portray_object).
index(portray_object(?,?), pce_portray_object, portray_object).
index(qcompile_pce, pce_qrecompile, qrecompile).
index(scan_arguments(?,?), scan_arguments, scan_arguments).
index(scan_arguments(?,?,?), scan_arguments, scan_arguments).
index(install_unfocus_hook, stayup_popup, stayup_popup).
index(auto_call(0), pce_compatibility_layer, swi_compatibility).
index(callable_predicate(:), pce_compatibility_layer, swi_compatibility).
index(modified_since_last_loaded(?), pce_compatibility_layer, swi_compatibility).
index(pce_error(?), pce_compatibility_layer, swi_compatibility).
index(pce_warn(?), pce_compatibility_layer, swi_compatibility).
index(pce_info(?), pce_compatibility_layer, swi_compatibility).
index(prolog_ide, swi_ide, swi_ide).
index(prolog_ide(?), swi_ide, swi_ide).
index(prolog_edit_preferences(?), prolog_preferences, swi_preferences).
index(prolog_debug_monitor, pce_debug_monitor, 'swi/pce_debug_monitor').
index(pce_show_profile, pce_profile, 'swi/pce_profile').
